//
//  Common
//  _____________________________________________

& when (@media-common = true) {
    .lib-font-face(
        @family-name: 'Oswald',
        @font-path: '@{baseDir}fonts/Oswald/Oswald-Bold',
        @font-weight: 700,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Oswald',
        @font-path: '@{baseDir}fonts/Oswald/Oswald-Light',
        @font-weight: 300,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Oswald',
        @font-path: '@{baseDir}fonts/Oswald/Oswald-Medium',
        @font-weight: 500,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Oswald',
        @font-path: '@{baseDir}fonts/Oswald/Oswald-Regular',
        @font-weight: 400,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Oswald',
        @font-path: '@{baseDir}fonts/Oswald/Oswald-SemiBold',
        @font-weight: 600,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Poppins',
        @font-path: '@{baseDir}fonts/Poppins/Poppins-Bold',
        @font-weight: 700,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Poppins',
        @font-path: '@{baseDir}fonts/Poppins/Poppins-Light',
        @font-weight: 300,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Poppins',
        @font-path: '@{baseDir}fonts/Poppins/Poppins-Thin',
        @font-weight: 100,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Poppins',
        @font-path: '@{baseDir}fonts/Poppins/Poppins-Medium',
        @font-weight: 500,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Poppins',
        @font-path: '@{baseDir}fonts/Poppins/Poppins-Regular',
        @font-weight: 400,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );

    .lib-font-face(
        @family-name: 'Poppins',
        @font-path: '@{baseDir}fonts/Poppins/Poppins-SemiBold',
        @font-weight: 600,
        @font-style: normal,
        @font-display: swap,
        @font-format: 'ttf'
    );
}

//
//  Desktop
//  _____________________________________________

.media-width(@extremum, @break) when (@extremum = 'min') and (@break = @screen__m) {
    h1 {
        .lib-css(font-size, @h1__font-size-desktop);
        .lib-css(margin-bottom, @h1__margin-bottom__desktop);
    }
}

//
//  Common
//  _____________________________________________

& when (@media-common = true) {
    .items {
        .lib-list-reset-styles();
    }
}
